Bug 1017009 - set_link command cause monitor show "virtio_ioport_write: unexpected address 0x13 value 0x0" with status=off
set_link command cause monitor show "virtio_ioport_write: unexpected address ...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 02:59 EDT by zhonglinzhang
Modified: 2013-12-02 00:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 00:41:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhonglinzhang 2013-10-09 02:59:31 EDT
Description of problem:
Boot win2012 guest with "-device virtio-net-pci ... status=off", set_link virtio-net-pci0 off in qemu-kvm monitor, After a while in monitor show lots of "virtio_ioport_write: unexpected address 0x13 value 0x0" 

Version-Release number of selected component (if applicable):
host kernel: 2.6.32-421.el6.x86_64
qemu-kvm: qemu-kvm-0.12.1.2-2.410.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot a win2012 guest:
/usr/libexec/qemu-kvm -M pc -cpu SandyBridge -nodefaults -nodefconfig -enable-kvm -m 4G -smp 2,sockets=1,cores=2,threads=2 -name test \
-rtc base=localtime,clock=host,driftfix=slew  -k en-us  -boot menu=on  -vga qxl -vnc :1 -monitor stdio \
-drive file=/home/RHEL6.5-64.qcow2,if=none,id=drive-system-disk,media=disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,scsi=on,bus=pci.0,drive=drive-system-disk,id=system-disk,bootindex=1,addr=0x5 \
-netdev tap,id=hostnet0,vhost=on,script=/etc/ovs-ifup,downscript=/etc/ovs-ifdown -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:22:15:27:54:8d,bus=pci.0,addr=0x9,status=off \
-usb -device usb-tablet

2. (qemu) set_link virtio-net-pci0 off

3. Inside guest:
# ping ......

Actual results:
In monitor show lots of information, link this:
(qemu) virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0
virtio_ioport_write: unexpected address 0x13 value 0x0

Expected results:
Show no information in monitor

Additional info:
status=on/off  guest      set_link on/off      result
    on         win2012          on              normal
    on         win2012          off             normal
    off        win2012          on              normal
    off        win2012          off             warning information
    off         rhel6.5         off             normal
Comment 2 Mike Cao 2013-11-12 02:29:57 EST
Pls retest this issue on virtio-win-1.6.7-2.el6
Comment 3 Yan Vugenfirer 2013-12-01 05:04:10 EST
1. Latest drivers should not have those printouts at all.

2. On other hand, please don't close this bug yet as it can point to other issues.

2.1. When you set link to off and see this message - can you disable the driver in the guest?
2.2. Is guest network alive after link set to on?


Thanks,
Yan.
Comment 4 zhonglinzhang 2013-12-02 00:30:39 EST
Retest this with RHEL6.5 release version:
virtio-win-prewhql-0.1-74


Steps as Description:

After "(qemu) set_link virtio-net-pci0 off", But this time no show “virtio_ioport_write: unexpected address 0x13 value 0x0”



After "(qemu) set_link virtio-net-pci0 off", disable the driver in the guest, device Manager show "Not Responding", But close device Manager,once again display device Manager and will find the driver has already been disabled. 

From disable to enable can work well.
From enable to disable will show "Not Responding".

Note You need to log in before you can comment on or make changes to this bug.